Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 1366866 - [abrt] blueman: Device.py:33:err:blueman.bluez.errors.DBusAuthenticationRejectedError: Authentication Rejected
Summary: [abrt] blueman: Device.py:33:err:blueman.bluez.errors.DBusAuthenticationRejec...
Keywords:
Status: CLOSED EOL
Alias: None
Product: Fedora
Classification: Fedora
Component: blueman
Version: 24
Hardware: x86_64
OS: Unspecified
unspecified
unspecified
Target Milestone: ---
Assignee: Pete Walter
QA Contact: Fedora Extras Quality Assurance
URL: https://retrace.fedoraproject.org/faf...
Whiteboard: abrt_hash:ae6fc4864e4c6d01b262d383206...
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2016-08-13 17:10 UTC by Jason Elwell
Modified: 2017-08-08 16:32 UTC (History)
6 users (show)

Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2017-08-08 16:32:23 UTC


Attachments (Terms of Use)
File: backtrace (deleted)
2016-08-13 17:10 UTC, Jason Elwell
no flags Details
File: environ (deleted)
2016-08-13 17:10 UTC, Jason Elwell
no flags Details

Description Jason Elwell 2016-08-13 17:10:38 UTC
Description of problem:
Tried to connect to bluetooth device from Fedora.

Version-Release number of selected component:
blueman-2.0.4-2.fc24

Additional info:
reporter:       libreport-2.7.2
cmdline:        python3 /usr/bin/blueman-manager
executable:     /usr/bin/blueman-manager
kernel:         4.6.5-300.fc24.x86_64
pkg_fingerprint: 73BD E983 81B4 6521
pkg_vendor:     Fedora Project
runlevel:       3 5
type:           Python3
uid:            1100

Truncated backtrace:
Device.py:33:err:blueman.bluez.errors.DBusAuthenticationRejectedError: Authentication Rejected

Traceback (most recent call last):
  File "/usr/lib64/python3.5/site-packages/dbus/connection.py", line 607, in msg_reply_handler
    *message.get_args_list()))
  File "/usr/lib/python3.5/site-packages/blueman/bluez/Device.py", line 33, in err
    raise exception
blueman.bluez.errors.DBusAuthenticationRejectedError: Authentication Rejected

Local variables in innermost frame:
error_handler: None
exception: DBusAuthenticationRejectedError('Authentication Rejected',)
e: DBusException(dbus.String('Authentication Rejected'),)

Comment 1 Jason Elwell 2016-08-13 17:10:43 UTC
Created attachment 1190726 [details]
File: backtrace

Comment 2 Jason Elwell 2016-08-13 17:10:44 UTC
Created attachment 1190727 [details]
File: environ

Comment 3 Fedora End Of Life 2017-07-25 22:25:32 UTC
This message is a reminder that Fedora 24 is nearing its end of life.
Approximately 2 (two) weeks from now Fedora will stop maintaining
and issuing updates for Fedora 24. It is Fedora's policy to close all
bug reports from releases that are no longer maintained. At that time
this bug will be closed as EOL if it remains open with a Fedora  'version'
of '24'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version'
to a later Fedora version.

Thank you for reporting this issue and we are sorry that we were not
able to fix it before Fedora 24 is end of life. If you would still like
to see this bug fixed and are able to reproduce it against a later version
of Fedora, you are encouraged  change the 'version' to a later Fedora
version prior this bug is closed as described in the policy above.

Although we aim to fix as many bugs as possible during every release's
lifetime, sometimes those efforts are overtaken by events. Often a
more recent Fedora release includes newer upstream software that fixes
bugs or makes them obsolete.

Comment 4 Fedora End Of Life 2017-08-08 16:32:23 UTC
Fedora 24 changed to end-of-life (EOL) status on 2017-08-08. Fedora 24 is
no longer maintained, which means that it will not receive any further
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of
Fedora please feel free to reopen this bug against that version. If you
are unable to reopen this bug, please file a new report against the
current release. If you experience problems, please add a comment to this
bug.

Thank you for reporting this bug and we are sorry it could not be fixed.


Note You need to log in before you can comment on or make changes to this bug.